summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canonical.com>2016-01-25 21:19:33 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2016-01-25 21:19:33 +0000
commite3cfbcf6d578776d91b69cd1f69f4d18ef2ab6e7 (patch)
tree941e42fc8d02eb766492073452b93a4588547b25
parent1b286c5a2fba81b0ccd424f1bf155ad05a45cc38 (diff)
parent5795660c064530e2684b4567f456c512d997ca12 (diff)
Merge "make the vlan configurable on all interface."
-rwxr-xr-xci/02-maasdeploy.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/ci/02-maasdeploy.sh b/ci/02-maasdeploy.sh
index e0e3ca89..dc926361 100755
--- a/ci/02-maasdeploy.sh
+++ b/ci/02-maasdeploy.sh
@@ -122,7 +122,7 @@ crnodevlanint() {
for nodes in $listofnodes
do
- parentid=`maas maas interface read $nodes eth2 | grep interfaces | cut -d '/' -f 8`
+ parentid=`maas maas interface read $nodes $2 | grep interfaces | cut -d '/' -f 8`
maas maas interfaces create-vlan $nodes vlan=$1 parent=$parentid
done
}
@@ -176,8 +176,8 @@ case "$1" in
maas refresh
crvlanupdsubnet vlan721 1 "DataNetwork" 721 2 || true
crvlanupdsubnet vlan724 2 "PublicNetwork" 724 3 || true
- crnodevlanint $vlan721 || true
- crnodevlanint $vlan724 || true
+ crnodevlanint $vlan721 eth2|| true
+ crnodevlanint $vlan724 eth2|| true
enableautomodebyname eth2.721 AUTO "10.4.9.0/24" compute || true
enableautomodebyname eth2.721 AUTO "10.4.9.0/24" control || true
;;
@@ -201,10 +201,10 @@ case "$1" in
maas refresh
crvlanupdsubnet vlan1201 1 "DataNetwork" 1201 2 || true
crvlanupdsubnet vlan1202 2 "PublicNetwork" 1202 3 || true
- crnodevlanint $vlan1201 || true
- crnodevlanint $vlan1202 || true
- enableautomode eth2.1201 AUTO "172.16.121.3/24" compute || true
- enableautomode eth2.1201 AUTO "172.16.121.3/24" control || true
+ crnodevlanint $vlan1201 eth1 || true
+ crnodevlanint $vlan1202 eth1 || true
+ enableautomode eth1.1201 AUTO "172.16.121.3/24" compute || true
+ enableautomode eth1.1201 AUTO "172.16.121.3/24" control || true
;;
esac